Bug 35932 - New installer boot menu graphic
New installer boot menu graphic
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer - DVD
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Drees Dormann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-16 08:54 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
01_UN _UMC Relaunch_Bootmenu-Installer_140910_jk.svg (87.44 KB, image/svg+xml)
2014-09-16 08:54 CEST, Stefan Gohmann
Details
Boot menu mockup (50.07 KB, image/png)
2014-09-17 12:31 CEST, Alexander Kläser
Details
New background image (155.52 KB, image/png)
2014-09-25 11:46 CEST, Alexander Kläser
Details
Sample screenshot of Grub menu (282.36 KB, image/png)
2014-09-25 11:47 CEST, Alexander Kläser
Details
Final background graphic (153.69 KB, image/jpeg)
2014-10-16 13:03 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-16 08:54:55 CEST
Created attachment 6106 [details]
01_UN _UMC Relaunch_Bootmenu-Installer_140910_jk.svg

Please use the attached image as bootmenu graphic on the installation DVD.
Comment 1 Alexander Kläser univentionstaff 2014-09-17 12:31:49 CEST
Created attachment 6115 [details]
Boot menu mockup

Attached a mockup for the boot menu with the following colors:
* Unselected menu entries: text=white, hotkey=b4b4b4
* Selected menu entry: background=b4b4b4, text=323232, hotkey=black, shadow=black
* Help info: text=b4b4b4
* "Press ENTER" info: text=b4b4b4, text-shadow=black
Comment 2 Philipp Hahn univentionstaff 2014-09-17 14:51:45 CEST
r13581: Updated image and "color" scheme
r13583: Updated image and "color" scheme

debian-installer-images_20130613.103.20140917142356_amd64

<https://hutten.knut.univention.de/mediawiki/index.php/Debian_Installer#Syslinux>
<http://www.syslinux.org/wiki/index.php/Comboot/menu.c32>
Comment 3 Alexander Kläser univentionstaff 2014-09-25 11:46:57 CEST
Created attachment 6127 [details]
New background image

Attached you find an updated background image for the installer boot menu.

The color values are:
* Menu font: #3c3c3c + Hotkey: #000000
* Aktive Menu font: #ffffff + Hotkey: #e6e6e6 + Background: #7ab51d
* "Display help screens..."-color: #3c3c3c
* "Press Enter"-color: #3c3c3c
* Everything without shadows
Comment 4 Alexander Kläser univentionstaff 2014-09-25 11:47:55 CEST
Created attachment 6128 [details]
Sample screenshot of Grub menu

The attached screenshot is how the result would like for Grub, it should look similar in the installer boot menu.
Comment 5 Philipp Hahn univentionstaff 2014-09-29 13:11:17 CEST
r13750 | Bug #35932 d-i: Updated image and "color" scheme

ucs_4.0-0-20140929-125346-dvd-amd64.iso
Comment 6 Stefan Gohmann univentionstaff 2014-09-30 16:07:38 CEST
The design is not yet final. Moving to interim-3
Comment 7 Alexander Kläser univentionstaff 2014-10-16 13:03:52 CEST
Created attachment 6176 [details]
Final background graphic

Please integrate the attached final background graphic for syslinux.
Comment 8 Stefan Gohmann univentionstaff 2014-10-19 19:41:46 CEST
Back to Philipp.
Comment 9 Philipp Hahn univentionstaff 2014-10-20 16:29:26 CEST
r13869 | Bug #35932 d-i: new splashscreen
r13871 | Bug #35932 d-i: new splashscreen

This is currently broken since the graphics format was (again) changed from (SVG to) PNG to JPEG... syslinux currently displays a black screen
Comment 10 Philipp Hahn univentionstaff 2014-10-22 09:56:46 CEST
r13881 | Bug #35932 d-i: new splashscreen
 Converted JPEG to PNG by hand as syslinux does not load the JPEG.
 It seems that "tinyjpeg", which is used by syslinux-4.05 only supports some sub-formats of JPEG.
 Please provide a SVG (preferred as this is the "source code") or PNG next time.

ucs_4.0-0-20141022-083629-dvd-amd64.iso'
Comment 11 Philipp Hahn univentionstaff 2014-10-24 09:31:43 CEST
r13916 | Bug #35932 d-i: Fix colors
 Fix alpha component for hotsel color.

GRUB is handles through Bug #35974
Comment 12 Drees Dormann univentionstaff 2014-11-03 14:37:23 CET
splash is displayed correctly

wrong bug number in changelog ( 35935 should be 35932 )
Comment 13 Philipp Hahn univentionstaff 2014-11-03 14:45:08 CET
(In reply to Drees Dormann from comment #12)
> wrong bug number in changelog ( 35935 should be 35932 )

No, that's a different bug.
CL added as r55281.
Comment 14 Drees Dormann univentionstaff 2014-11-03 14:47:58 CET
mixed up two numbers, my bad

--> verified
Comment 15 Stefan Gohmann univentionstaff 2014-11-26 06:54:04 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".